
Packaging - Bug #1193
rsb package containes erroneous RSBDepends-relwithdebinfo.cmake
10/09/2012 06:57 PM - Anonymous

Status: Resolved Start date: 10/09/2012
Priority: High Due date:
Assignee: J. Wienke % Done: 100%
Category: Estimated time: 0.00 hour
Target version: rsb-0.7
Description

The file RSBDepends-relwithdebinfo.cmake, which comes with the debian package rsb0.7 contains the line:

SET_TARGET_PROPERTIES(rsbcore PROPERTIES
  IMPORTED_LINK_INTERFACE_LIBRARIES_RELWITHDEBINFO
"/vol/default/lib/libspread.so;/usr/lib/libprotobuf.so;rsc;/usr/lib/libboost_regex-mt.so;/usr/lib/libboost_date_time-mt.so;/usr/lib/libboost_program_options-mt.so;-lpthread" 
  IMPORTED_LOCATION_RELWITHDEBINFO "${_IMPORT_PREFIX}
oost_program_options-mt.so;-lpthread" 
  IMPORTED_LOCATION_RELWITHDEBINFO "${_IMPORT_PREFIX}/lib/librsbcore.so.0.7" 
  IMPORTED_SONAME_RELWITHDEBINFO "librsbcore.so.0.7" 
  )

which results in compiling error in depending libraries (eg. cca):

make[2]: *** No rule to make target `/vol/default/lib/libspread.so', needed by `build/libcca.so.0.3'.  Stop.

The path is obviously wrong (this is the CI slave spread path) and should probably not be set as library property?
Don't know exactly though, how/why this causes an error.

History
#1 - 10/09/2012 06:57 PM - Anonymous
- Assignee set to J. Wienke

#2 - 10/09/2012 06:59 PM - J. Wienke

Narf, why do they use absolute paths? ;) Then we need to install the spread package on every slave and compile the package jobs against this spread
version. Can you do the installation on the slaves? I will the update the package job tomorrow.

#3 - 10/10/2012 10:41 AM - J. Wienke
- Status changed from New to Resolved
- % Done changed from 0 to 100

Should be fixed in the new version on the package server.
